## golang-github-rluisr-mysqlrouter-go 1.2.0

=== test/Makefile ===
test:
	docker compose up --build --force-recreate --always-recreate-deps --renew-anon-volumes -d
	docker exec test-mysqlrouter-go-test-1 sh -c "bash /go/src/mysqlrouter-go/entrypoint.sh"

clean:
	docker compose down
	docker compose rm -f

local: test clean

=== debian/changelog ===
golang-github-rluisr-mysqlrouter-go (1.2.0-2) unstable; urgency=medium

  * No-change, source-only upload.

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 14 Mar 2024 19:52:56 +0530

golang-github-rluisr-mysqlrouter-go (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1063496)

 -- Lena Voytek <lena@voytek.dev>  Fri, 09 Feb 2024 08:10:14 -0700

=== debian/control ===
Source: golang-github-rluisr-mysqlrouter-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Lena Voytek <lena@voytek.dev>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-rluisr-mysqlrouter-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-rluisr-mysqlrouter-go.git
Homepage: https://github.com/rluisr/mysqlrouter-go
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/rluisr/mysqlrouter-go

Package: golang-github-rluisr-mysqlrouter-go-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: client for mysql-router (library)
 MySQLRouter-go is a go client library for interacting with the MySQL router
 REST API. It provides a set of functions for extracting status and metadata
 from MySQL databases.

=== debian/rules ===
#!/usr/bin/make -f

# Exclude sample code from compilation and installation.
export DH_GOLANG_EXCLUDES := example test

# Testing relies on docker setup
override_dh_auto_test:

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/rluisr/mysqlrouter-go/tags .*/v?(\d\S*)\.tar\.gz debian
